## ETrie

ETrie — A trie data structure.

## Synopsis

                        ETrie;
    ETrie*              e_trie_new                          (gboolean icase);
    void                e_trie_free                         (ETrie *trie);
    void                e_trie_add                          (ETrie *trie,
                                                             const char *pattern,
                                                             int pattern_id);
    const char*         e_trie_search                       (ETrie *trie,
                                                             const char *buffer,
                                                             size_t buflen,
                                                             int *matched_id);

## Description

## Details

### ETrie

    typedef struct _ETrie ETrie;

### e_trie_new ()

    ETrie*              e_trie_new                          (gboolean icase);

`icase` : |
Returns : |

### e_trie_free ()

    void                e_trie_free                         (ETrie *trie);

`trie` : |

### e_trie_add ()

    void                e_trie_add                          (ETrie *trie,
                                                             const char *pattern,
                                                             int pattern_id);

`trie` : |
`pattern` : |
`pattern_id` : |

### e_trie_search ()

    const char*         e_trie_search                       (ETrie *trie,
                                                             const char *buffer,
                                                             size_t buflen,
                                                             int *matched_id);

`trie` : |
`buffer` : |
`buflen` : |
`matched_id` : |
Returns : |